<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

    <xsl:output method="xml"/>

    <xsl:template match="@*|node()">
        <xsl:copy>
            <xsl:apply-templates select="@*|node()"/>
        </xsl:copy>
    </xsl:template>

    <xsl:template match="table[contains(@class, 'diff-macro')]">
        <xsl:variable name="oldClass" select="@class"/>
        <xsl:variable name="title" select="thead//th//*[contains(@class,'diff-html')]"/>
        <table>
            <xsl:copy-of select="@*"/>
            <xsl:if test="contains($title/@class, 'diff-html')">
                <xsl:attribute name="class">
                    <xsl:value-of select="$oldClass"/>
                    <xsl:text> </xsl:text>
                    <xsl:value-of select="$title/@class"/>
                </xsl:attribute>
            </xsl:if>
            <xsl:apply-templates select="node()"/>
        </table>
    </xsl:template>

</xsl:stylesheet>